import 'package:flutter/material.dart';
import 'package:get_it/get_it.dart';
import 'package:go_router/go_router.dart';
import 'package:navigation/navigation_contract.dart';
import 'package:splash/src/presentation/splash_screen.dart';

class SplashBuilder {
  const SplashBuilder();

  Page<void> buildPage(BuildContext context, GoRouterState state) {
    final NavigationContract navigationContract = GetIt.I<NavigationContract>();

    return NoTransitionPage(
      child: SplashScreen(navigationContract: navigationContract),
    );
  }
}
